unit mainformu;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, frxClass, Vcl.StdCtrls, frxDBSet,
  Vcl.ExtCtrls, frxGradient, frxChart;

type
  TForm1 = class(TForm)
    GroupedBtn: TButton;
    MasterDetailBtn: TButton;
    SummaryBtn: TButton;
    SubReportBtn: TButton;
    MailingLabelBtn: TButton;
    GroupReport: TfrxReport;
    SummaryReport: TfrxReport;
    MultiPageReport: TfrxReport;
    SubReport: TfrxReport;
    CustomerDataSet: TfrxDBDataset;
    OrdersDataSet: TfrxDBDataset;
    PartsDataSet: TfrxDBDataset;
    ItemsDataSet: TfrxDBDataset;
    MasterDetailReport: TfrxReport;
    EmployeeDataSet: TfrxDBDataset;
    MultiPageBtn: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Panel1: TPanel;
    frxGradientObject1: TfrxGradientObject;
    frxChartObject1: TfrxChartObject;
    CountryDataSet: TfrxDBDataset;
    MailingLabelReport: TfrxReport;
    procedure GroupedBtnClick(Sender: TObject);
    procedure SummaryBtnClick(Sender: TObject);
    procedure MasterDetailBtnClick(Sender: TObject);
    procedure MultiPageBtnClick(Sender: TObject);
    procedure SubReportBtnClick(Sender: TObject);
    procedure MailingLabelBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses DataModuleu;

procedure TForm1.GroupedBtnClick(Sender: TObject);
begin
  DataModule1.ResetDataSets;
  DataModule1.CustomerCDS.IndexFieldNames := 'Company';
  if GroupReport.PrepareReport then
    GroupReport.ShowPreparedReport;
end;

procedure TForm1.MailingLabelBtnClick(Sender: TObject);
begin
  DataModule1.ResetDataSets;
  DataModule1.CustomerCDS.IndexFieldNames := 'Contact';
  if MailingLabelReport.PrepareReport then
    MailingLabelReport.ShowPreparedReport;
end;

procedure TForm1.MasterDetailBtnClick(Sender: TObject);
begin
  DataModule1.ResetDataSets;
  DataModule1.CustomerCDS.IndexFieldNames := 'Company';
  DataModule1.OrdersCDS.IndexFieldNames := 'CustNo';
  DataModule1.OrdersCDS.MasterSource := DataModule1.CustomerDataSource;
  DataModule1.OrdersCDS.MasterFields := 'CustNo';
  if MasterDetailReport.PrepareReport then
    MasterDetailReport.ShowPreparedReport;
end;

procedure TForm1.MultiPageBtnClick(Sender: TObject);
begin
  DataModule1.ResetDataSets;
  if MultiPageReport.PrepareReport then
    MultiPageReport.ShowPreparedReport;
end;

procedure TForm1.SubReportBtnClick(Sender: TObject);
begin
  DataModule1.ResetDataSets;
  if SubReport.PrepareReport then
    SubReport.ShowPreparedReport;
end;

procedure TForm1.SummaryBtnClick(Sender: TObject);
begin
  DataModule1.ResetDataSets;
  DataModule1.OrdersCDS.IndexFieldNames := '';
  if SummaryReport.PrepareReport then
    SummaryReport.ShowPreparedReport;
end;

end.
